### Signal

# Gtk Gesture::begin

#### Declaration

    void
    begin (
      GtkGesture self,
      GdkEventSequence* sequence,
      gpointer user_data
    )

#### Description [src]

Emitted when the gesture is recognized.

This means the number of touch sequences matches `GtkGesture:n-points`.

Note: These conditions may also happen when an extra touch (eg. a third touch on a 2-touches gesture) is lifted, in that situation `sequence` won’t pertain to the current set of active touches, so don’t rely on this being true.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`sequence` | `GdkEventSequence*`
| The `GdkEventSequence` that made the gesture to be recognized.
| The argument can be `NULL`.
| The data is owned by the caller of the function.